# $Revision: 1.5 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Proc
%define	pnam	PidUtil
Summary:	Proc::PidUtil - PID file management utilities
Summary(pl.UTF-8):	Proc::PidUtil - narzędzia do zarządzania plikami PID
Name:		perl-Proc-PidUtil
Version:	0.08
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	daaa80a8b2595f3bc47daed6e7d81e97
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Proc::PidUtil provides utilities to manage PID files.

%description -l pl.UTF-8
Proc::PidUtil dostarcza narzędzia do zarządzania plikami PID.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Proc/PidUtil/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Proc/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Proc-PidUtil.spec,v $
Revision 1.5  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.3  2006/10/25 16:16:32  ankry
- ver. 0.08

Revision 1.2  2006/02/08 18:55:20  qboosh
- pl

Revision 1.1  2006/02/08 18:23:04  glen
- new
